$packageName = 'wincrypt-sshagent'
$appName = 'WinCryptSSHAgent'

$url = 'https://github.com/buptczq/WinCryptSSHAgent/releases/download/v1.0.5/WinCryptSSHAgent.exe'

$dir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$processName = $appName;
$exe = $processName + '.exe'
$fullPath = Join-Path -Path $dir -ChildPath $exe
$checksum = 'd2f9fd4ae596dfee68c54c342086def071684158784bba228e5b11a33bc5b6f06663df3af06add171f7cb3b14c86cc8b8d427aa803bfbd2cc3881ce6d0e2d7dc'
$checksumType = 'sha512'

$startFolder = $appName

Function CreateStartMenuShortcut {
    $startMenuFolderPath = Join-Path -Path ([Environment]::GetFolderPath('Programs')) `
        -ChildPath $startFolder
    New-Item $startMenuFolderPath -Type Directory -ErrorAction SilentlyContinue
    If (Test-Path -Path $startMenuFolderPath -PathType Container) {
            Install-ChocolateyShortcut -shortcutFilePath `
                (Join-Path -Path $startMenuFolderPath -ChildPath ($appName + '.lnk')) `
                -targetPath $fullPath -workingDirectory $dir
    } Else {
        Write-Warning "Start menu folder couldn't be created."
    }
}

# SCRIPT STARTS HERE #

Stop-Process -Name $processName -ErrorAction SilentlyContinue

# Workaround for https://github.com/chocolatey/choco/issues/952
Remove-Item -Path $fullPath -Force -Confirm:$FALSE -ErrorAction SilentlyContinue

Get-ChocolateyWebFile -PackageName $packageName -FileFullPath $fullPath -Url64bit $url -ChecksumType $checksumType -Checksum64 $checksum -ChecksumType64 $ChecksumType

# create .gui file
New-Item -Path $dir -Name ($exe + '.gui') -ItemType file

CreateStartMenuShortcut